#include <iostream>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, t, r, ans(0);
    cin >> n;

    cin >> r;
    for (int i = 1; i < n; i++){
        cin >> t;
        if (r > t)
            ans += r - t;
        r = t;

    }
    cout << ans + r;
}
